Subject: RE: Scheduling for Minneapolis - a proposal

From: Andy Bierman <[email-masked]>
Date: Thu, 16 Dec 2004 14:38:13 -0800

At 01:59 PM 12/16/2004, Eric Burger wrote:
>On the WG chair side, count one (two?) more votes for the experiment.
>
>On the BOF side, I personally have been blindsided by BOFs that show up the
>week of the IETF.  Some are of critical interest to my work group, which
>means I would want to go, and many of the folks in the work group would want
>to go.  Some are of passing interest, where it would be nice to go.  Others
>are, IMHO, brain dead, and I'd want to participate to make sure they don't
>suck up IETF resources :)
>
>I would offer that BOF requests must close a week before the WG request
>deadline.  If you can't get your BOF together in time, I'd much rather give
>WG *work* priority.

A agree with you, especially since the ADs can make decisions on
the BOF (form WG?) based on the interest and support they perceive
at the meeting.  It's in everyone's best interest that the BOF is
as well-attended as possible.  BOFs certainly don't deserve a longer
scheduling window that WG meetings, and getting it done a week early 
for BOFs is a noble goal (but I doubt it will happen ;-)

Andy

>Given the very long lead times in the IETF, pushing a BOF slot 3-4 months to
>the next meeting is just noise.  This is more especially so compared to
>pushing off progress on an active work group.
>
>> -----Original Message-----
>> From: Wijnen, Bert (Bert) [mailto:[email-masked]]
>> Sent: Thursday, December 16, 2004 6:29 AM
>> To: 'Harald Tveit Alvestrand'; [email-masked]
>> Subject: RE: Scheduling for Minneapolis - a proposal
>> 
>> 
>> I think this is all great.
>> 
>> One IMPORTANT thing to note as well:
>> 
>>    IESG and other IETF members should also make sure they get any
>>    BOF requests scheduled EARLY. In the past, I have seen that those
>>    often come in (get decided on) very late and then cause havoc
>>    on the agenda!!
>> 
>> Bert
>> 
>> > -----Original Message-----
>> > From: [email-masked] [mailto:[email-masked]]On Behalf Of
>> > Harald Tveit Alvestrand
>> > Sent: Wednesday, December 15, 2004 17:01
>> > To: [email-masked]
>> > Subject: Scheduling for Minneapolis - a proposal
>> > 
>> > 
>> > Based on many months' discussion about earlier schedule 
>> > fixing, earlier 
>> > scheduling, premature scheduling, last-minute changes and 
>> so on.... I 
>> > looked at the (not yet announced) schedule for Minneapolis, 
>> > and tried to 
>> > look at an alternative.
>> > 
>> > The scheduling-important dates are:
>> > 
>> > December 22, Wednesday - Working Group and BOF scheduling begins
>> > February 21, Monday - Working Group and BOF scheduling closes 
>> > by 17:00 ET 
>> > February 28, Monday - Working Group agendas due date by 12:00 
>> > ET (17:00 GMT)
>> > March 6-11, 2005 - 62nd IETF Meeting in Minneapolis, MN
>> > 
>> > This gives us exactly 2 weeks from last scheduling request to 
>> > start of 
>> > meeting.
>> > 
>> > What if we added a few more dates?
>> > 
>> > December 22, Wednesday - Working Group and BOF scheduling begins
>> > February 7, Monday - Working Group and BOF initial scheduling 
>> > closes 17:00
>> > February 14, Monday - Cutoff date for requests to reschedule 
>> > meetings 08:00
>> > February 21, Monday - Final WG and BOF scheduling closes by 17:00 ET
>> > February 28, Monday - Working Group agendas due date by 12:00 
>> > ET (17:00 GMT)
>> > March 6-11, 2005 - 62nd IETF Meeting in Minneapolis, MN
>> > 
>> > The theory would be (not making promises, but what we'd try):
>> > 
>> > - Before February 7, all goes as normal.
>> > - On February 8, the provisional agenda shows ALL WGs and 
>> > BOFs, except for 
>> > those that for some weird reason *have* to be scheduled at 
>> > the last minute
>> > - We spend Feb 8-14 in the usual flurry of "but you can't 
>> > make a conflict 
>> > over this" messages and having WGs jump all over the week
>> > - On Feb 15, the provisional agenda will have a sticker on it 
>> > saying "THE 
>> > GROUPS CURRENTLY LISTED WILL ONLY BE MOVED IN CASE OF 
>> > INTERNATIONAL CRISES" 
>> > or equivalent strong language
>> > - We ALLOW scheduling of WGs and BOFs who request scheduling 
>> > after February 
>> > 7. But we do NOT move other groups around to make room for 
>> > them - they are 
>> > "second class requests" when it comes to resolving conflicts.
>> > 
>> > Does this make sense?
>> > 
>> > And the hundred-dollar question: Would YOU be willing to 
>> > cooperate in this 
>> > by sending ALL routine requests for WG scheduling before February 7?
>> > 
>> >                            Harald
>> > 
>> > 
>> > 
>> > 
>> > 
>>

---

From: Jeffrey Altman <[email-masked]>
Date: Thu, 16 Dec 2004 18:01:24 -0500

I don't have a problem with asking WGs and BOFs to make a decision
regarding whether or not they want a meeting even two months before
a meeting.  It is usually fairly clear from the work on the working
groups charter and the progress which has been made whether or not
a meeting is required.  What we usually do not know is what the
content of the agenda will be.  I would be happy to submit the
IETF 62 meeting request for the Kitten working group today.

With regards to BOF requests things get much more complicated.  A BOF
request cannot be submitted until an Area Director agrees to sponsor
its work and this decision is frequently made in consultation with
a significant subset of the IESG.  Obtaining permission to hold a
BOF therefore takes weeks or months of effort.  What might be useful is 
a list of BOFs which might take place at an upcoming IETF meeting. 
Although I fear that the existence of such a list would place undo 
pressure on the IESG members to approve BOFs instead of simply saying 'no'.

Jeffrey Altman

---

From: Rohan Mahy <[email-masked]>
Date: Thu, 16 Dec 2004 16:00:27 -0800

> IETF 62 meeting request for the Kitten working group today.

likewise.  I would have no problem requesting agenda time *during* one 
IETF for the next.  Both of my working groups are likely to chug along 
for a few more meetings before I can even consider the great pleasure 
of closing them.

I think we should separate reserving time slots from publishing 
schedules and agendas.  These are two separate beasts.  Usually the 
responsible AD is able to decide how much time is justified at meetings 
based on historical information (how much time was used last time, how 
much mailing list traffic, how many drafts are in draft tracker, 
etc..).

> BOF therefore takes weeks or months of effort.  What might be useful 
> is a list of BOFs which might take place at an upcoming IETF meeting. 

I expect that in practice, the folks who would pressure the IESG to 
approve a BoF are the ones who most likely already know about the BoF. 
Therefore, I would support the additional transparency of a list of 
potential BoFs.

Also, while we are speaking about BoFs, I am sick of attending BoFs 
that don't include any useful information in their agenda.  I want to 
see a pointer to relevant I-Ds, a pointer to the mailing list where the 
work is being discussed, and preferably some proposed charter text or 
charter questions (scope questions) if the BoF is attempting to become 
a WG. I don't think a BoF should get any time until it produces these 
items.  Again, since the long pole is IESG approval, there is plenty of 
time to come up with this. Looking through the posted agenda for the 9 
BOFs on the online agenda, only 1 (6lowplan) provided both a 
mailing-list address and a list of internet draft filenames as relevant 
background material.

thanks,
-rohan

---

From: Thomas Narten <[email-masked]>
Date: Fri, 17 Dec 2004 08:58:00 -0500

> a significant subset of the IESG.

It's actually even a bit more complicated and open ended then
that. Often, the first response I make to a BOF request is something
like:

 - is there a mailing list with discussion?
 - has the mailing list been advertised so that interested folk know
   about it? 
 - what IDs are there and have they been discussed on the list yet?
 - is there  a clear (enough) problem statement?
 - has the mailing list come to any sort of agreement on the problem
   statement, scope of work, need for work, etc.?

etc. Giving the official go ahead for a BOF does not typically take
place until a bunch of the above had taken place. I.e., intention to
do the above is not sufficient. Thus, in practice, official approvals
tend to come late, in part to ensure that the above really does take
place prior  to the BOF.

Thomas